> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1businesses quotashistory



## OpenAPI

````yaml /api-reference/openapi.json get /v1/businesses/{businessId}/quotas/history
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/quotas/history:
    get:
      tags:
        - BusinessQuotas
      parameters:
        - name: quotaKey
          in: query
          schema:
            type: string
        - name: businessId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ModelsQuotasSBQuotaHistory'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ModelsQuotasSBQuotaHistory'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ModelsQuotasSBQuotaHistory'
components:
  schemas:
    ModelsQuotasSBQuotaHistory:
      type: object
      properties:
        id:
          type: integer
          format: int64
        key:
          type: string
          nullable: true
        userId:
          type: integer
          format: int64
          nullable: true
        businessId:
          type: integer
          format: int64
          nullable: true
        eventType:
          type: string
          nullable: true
        valueBefore:
          type: integer
          format: int32
        valueAfter:
          type: integer
          format: int32
        changeAmount:
          type: integer
          format: int32
        quotaLimit:
          type: integer
          format: int32
        periodStart:
          type: string
          format: date-time
          nullable: true
        periodEnd:
          type: string
          format: date-time
          nullable: true
        createdAt:
          type: string
          format: date-time
        metadata:
          type: string
          nullable: true
      additionalProperties: false

````